---
:backends:
  - eyaml
  - yaml
  - gpg

:logger: console

:hierarchy:
  - local
  - group
  - secrets.yaml
  - "dist_%{::lsbdistcodename}_override"
  - common


:yaml:
   :datadir: /etc/hiera/data

:gpg:
   :datadir: /etc/hiera/data
   :key_dir: /etc/hiera/gpg

:eyaml:
    :datadir: '/etc/hiera/data'

    # If using the pkcs7 encryptor (default)
    :pkcs7_private_key: /etc/hiera/eyaml/private_key.pkcs7.pem
    :pkcs7_public_key:  /etc/hiera/eyaml/public_certkey.pkcs7.pem

    # Optionally cache decrypted data (default: false)
    :cache_decrypted: false
